## org.hibernate.testing.jta
Class TestingJtaBootstrap.JtaAwareDataSource

    java.lang.Object
      org.enhydra.jdbc.util.JdbcUtil
          org.enhydra.jdbc.core.CoreDataSource
              org.enhydra.jdbc.standard.StandardDataSource
                  org.enhydra.jdbc.standard.StandardConnectionPoolDataSource
                      org.enhydra.jdbc.standard.StandardXADataSource
                          org.hibernate.testing.jta.TestingJtaBootstrap.JtaAwareDataSource

All Implemented Interfaces:
  Serializable, Wrapper, Referenceable, ObjectFactory, CommonDataSource, ConnectionPoolDataSource, DataSource, XADataSource

Enclosing class:
  TestingJtaBootstrap

    public static class TestingJtaBootstrap.JtaAwareDataSource

extends org.enhydra.jdbc.standard.StandardXADataSource

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.enhydra.jdbc.standard.StandardXADataSource
`connectionCount, deadLockMaxWait, deadLockRetryWait, DEFAULT_DEADLOCKMAXWAIT, DEFAULT_DEADLOCKRETRYWAIT, DEFAULT_MAX_CON, DEFAULT_MIN_CON, maxCon, minCon, transactionManager`

Fields inherited from class org.enhydra.jdbc.standard.StandardConnectionPoolDataSource
`DEFAULT_PREPAREDSTMTCACHESIZE`

Fields inherited from class org.enhydra.jdbc.core.CoreDataSource
`logWriter, password, user`

Fields inherited from class org.enhydra.jdbc.util.JdbcUtil
`log`

Constructor Summary
`TestingJtaBootstrap.JtaAwareDataSource()`

Method Summary
`Connection` `getConnection()`
`boolean` `isWrapperFor(Class<?> iface)`

`

`<T> T`

`

`unwrap(Class<T> iface)`

Methods inherited from class org.enhydra.jdbc.standard.StandardXADataSource
`closeFreeConnection, dump, freeConnection, getAllConnections, getConnectionCount, getDeadLockMaxWait, getDeadLockRetryWait, getMaxCon, getMinCon, getTransactionManager, getXAConnection, getXAConnection, getXidConnections, getXidCount, processToWait, setDeadLockMaxWait, setDeadLockRetryWait, setDriverName, setMaxCon, setMinCon, setPassword, setTransactionManager, setUrl, setUser, toString`

Methods inherited from class org.enhydra.jdbc.standard.StandardConnectionPoolDataSource
`getMasterPrepStmtCache, getPooledConnection, getPooledConnection, getPreparedStmtCacheSize, setPreparedStmtCacheSize`

Methods inherited from class org.enhydra.jdbc.standard.StandardDataSource
`equals, getConnection, getDriverName, getObjectInstance, getReference, getTransactionIsolation, getUrl, hashCode, setTransactionIsolation`

Methods inherited from class org.enhydra.jdbc.core.CoreDataSource
`getDescription, getLoginTimeout, getLogWriter, getPassword, getThreadFactory, getUser, isDebug, isVerbose, setDebug, setDescription, setLoginTimeout, setLogWriter, setThreadFactory, setVerbose, shutdown`

Methods inherited from class org.enhydra.jdbc.util.JdbcUtil
`setLogger`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.sql.CommonDataSource
`getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

Constructor Detail

### TestingJtaBootstrap.JtaAwareDataSource

    public TestingJtaBootstrap.JtaAwareDataSource()

Method Detail

### getConnection

    public Connection getConnection()
                             throws SQLException

  Specified by:
    `getConnection` in interface `DataSource`
  Overrides:
    `getConnection` in class `org.enhydra.jdbc.standard.StandardDataSource`
  Throws:
    `SQLException`

### unwrap

    public <T> T unwrap(Class<T> iface)
             throws SQLException

  Throws:
    `SQLException`

### isWrapperFor

    public boolean isWrapperFor(Class<?> iface)
                         throws SQLException

  Throws:
    `SQLException`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.